Bug 754321 - Giving an option for a plugin from command line
Summary: Giving an option for a plugin from command line
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-16 06:07 UTC by Masatake YAMATO
Modified: 2013-01-11 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-11 19:47:42 UTC
Type: ---


Attachments (Terms of Use)
a patch implmenting the requested feature (2.40 KB, patch)
2011-11-16 06:07 UTC, Masatake YAMATO
no flags Details | Diff

Description Masatake YAMATO 2011-11-16 06:07:27 UTC
Created attachment 533903 [details]
a patch implmenting the requested feature

This is a feature request.
It is nice if we can define a value for a parameter for a plugin from command line. We can give a value for it via configuration file but we have to prepare a new configuration file or rewrite existing configuration file to change the parameter. It is inconvenient in some situation.

See the attached patch. After applying you try the implemented feature with following option:

  mock --plugin-option="ccache:max_cache_size=5G" SOMETHING_SRC_RPM

Comment 1 Masatake YAMATO 2013-01-09 03:07:01 UTC
It seems that my patch is included in 1.1.23-1. Thanks.
Please, close this bug.


Note You need to log in before you can comment on or make changes to this bug.